{
  "name": "goa-gel-frontend",
  "version": "0.0.0",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build",
    "watch": "ng build --watch --configuration development",
    "test": "ng test",
    "e2e": "playwright test",
    "e2e:ui": "playwright test --ui",
    "e2e:report": "playwright show-report"
  },
  "prettier": {
    "printWidth": 100,
    "singleQuote": true,
    "overrides": [
      {
        "files": "*.html",
        "options": {
          "parser": "angular"
        }
      }
    ]
  },
  "private": true,
  "packageManager": "npm@10.9.4",
  "dependencies": {
    "@angular/animations": "^21.1.3",
    "@angular/cdk": "^21.1.3",
    "@angular/common": "^21.1.0",
    "@angular/compiler": "^21.1.0",
    "@angular/core": "^21.1.0",
    "@angular/forms": "^21.1.3",
    "@angular/material": "^21.1.3",
    "@angular/platform-browser": "^21.1.0",
    "@angular/router": "^21.1.0",
    "pdfjs-dist": "^4.0.379",
    "rxjs": "~7.8.0",
    "tslib": "^2.3.0"
  },
  "devDependencies": {
    "@angular/build": "^21.1.2",
    "@angular/cli": "^21.1.2",
    "@angular/compiler-cli": "^21.1.0",
    "@openapitools/openapi-generator-cli": "^2.28.1",
    "@playwright/test": "^1.58.2",
    "@tailwindcss/forms": "^0.5.11",
    "autoprefixer": "^10.4.24",
    "jsdom": "^27.1.0",
    "postcss": "^8.5.6",
    "tailwindcss": "^3.4.19",
    "typescript": "~5.9.2",
    "vitest": "^4.0.8"
  }
}
